Hi,

At Mon, 14 Sep 2009 14:16:11 +0900,
robert gleeson wrote in [ruby-core:25564]:
> I'm not sure if a fix should be applied via patches to the
> FreeBSD port of ruby or in ruby itself, but on Ruby
> 1.9.1(patchlevel 129) you cannot fork a process.

On recent *BSD, fork can't work with pthreads, and pthreads is
mandatory to ruby 1.9.  This is caused by the kernel internal.
See <http://www.freebsd.org/cgi/query-pr.cgi?pr=threads/101323>.

> I love ruby, and I love FreeBSD. It'd be great if i can
> combine both. Thanks!

Persuade the BSD maintainers.

-- 
Nobu Nakada